%define	_name		screenFetch

Name:		screenfetch
Version:	3.9.1
Release:	%mkrel 3
Summary:	Screenfetch is a "Bash Screenshot Information Tool"
License:	GPLv3
Group:		Monitoring
Url:		https://github.com/KittyKatt/screenFetch
Source:		https://github.com/KittyKatt/screenFetch/archive/v%{version}/%{_name}-%{version}.tar.gz

BuildArch:	noarch

Recommends:	scrot

%description
screenFetch is a "Bash Screenshot Information Tool". This handy Bash
script can be used to generate one of those nifty terminal theme
information + ASCII distribution logos you see in everyone's screenshots
nowadays. It will auto-detect your distribution and display an ASCII
version of that distribution's logo and some valuable information to the
right. There are options to specify no ascii art, colors, taking a
screenshot upon displaying info, and even customizing the screenshot
command! This script is very easy to add to and can be easily extended.

%prep
%setup -q -n %{_name}-%{version}

%build

%install
install -D -m 755 %{name}-dev %{buildroot}%{_bindir}/%{name}
install -D -m 644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1

%files
%doc COPYING README.mkdn CHANGELOG TODO
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*


%changelog
* Mon Mar 21 2022 umeabot <umeabot> 3.9.1-3.mga9
+ Revision: 1812128
- Mageia 9 Mass Rebuild

* Tue Feb 18 2020 umeabot <umeabot> 3.9.1-2.mga8
+ Revision: 1538427
- Mageia 8 Mass Rebuild

* Thu Nov 21 2019 daviddavid <daviddavid> 3.9.1-1.mga8
+ Revision: 1461958
- new version: 3.9.1

* Fri Oct 11 2019 daviddavid <daviddavid> 3.9.0-1.mga8
+ Revision: 1451308
- new version: 3.9.0

* Fri Sep 21 2018 umeabot <umeabot> 3.8.0-2.mga7
+ Revision: 1291473
- Mageia 7 Mass Rebuild

* Mon Aug 14 2017 daviddavid <daviddavid> 3.8.0-1.mga7
+ Revision: 1140239
- new version: 3.8.0

* Mon Feb 08 2016 umeabot <umeabot> 3.7.0-2.mga6
+ Revision: 950790
- Mageia 6 Mass Rebuild

* Mon Feb 01 2016 daviddavid <daviddavid> 3.7.0-1.mga6
+ Revision: 929988
- new version: 3.7.0
- add the manpage

* Fri Nov 21 2014 matteo <matteo> 3.6.5-1.mga5
+ Revision: 798087
- new version 3.6.5

* Wed Oct 15 2014 umeabot <umeabot> 3.2.0-4.mga5
+ Revision: 745984
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.2.0-3.mga5
+ Revision: 689079
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Mon Oct 21 2013 umeabot <umeabot> 3.2.0-2.mga4
+ Revision: 541169
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 matteo <matteo> 3.2.0-1.mga4
+ Revision: 495290
- new version 3.2.0

* Sun Aug 11 2013 matteo <matteo> 3.0.5-1.mga4
+ Revision: 465379
- new version 3.0.5

* Fri Jun 21 2013 matteo <matteo> 3.0.0-1.mga4
+ Revision: 445558
- new version (3.0.0)

* Mon Mar 25 2013 matteo <matteo> 2.7.5-4.mga3
+ Revision: 405228
- new mageia logo

* Mon Jan 14 2013 umeabot <umeabot> 2.7.5-3.mga3
+ Revision: 381901
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 11 2012 matteo <matteo> 2.7.5-2.mga3
+ Revision: 329718
- added support to razorqt detection
- minor fix for lxde detection

* Mon Dec 10 2012 matteo <matteo> 2.7.5-1.mga3
+ Revision: 329415
- new version

* Sun Oct 28 2012 matteo <matteo> 2.5.5-1.mga3
+ Revision: 311016
- fixed setup directory name
- new version

* Tue Sep 18 2012 matteo <matteo> 2.5.3-1.mga3
+ Revision: 295858
- new version

* Wed Aug 15 2012 matteo <matteo> 2.5.0-1.mga3
+ Revision: 281438
- new version

* Mon Aug 06 2012 matteo <matteo> 2.4.7-1.mga3
+ Revision: 279204
- new version

* Sun Jul 15 2012 matteo <matteo> 2.4.5-1.mga3
+ Revision: 270951
- new version

* Thu Jan 05 2012 matteo <matteo> 2.3.7-2.mga2
+ Revision: 191936
+ rebuild (emptylog)

* Sun Dec 25 2011 matteo <matteo> 2.3.7-1.mga2
+ Revision: 187478
- version upgrade; mageia support patch added upstream

* Sun Dec 25 2011 matteo <matteo> 2.3.6-3.mga2
+ Revision: 187345
- fixed wrong patch
- fixed patch

* Sun Dec 25 2011 matteo <matteo> 2.3.6-2.mga2
+ Revision: 187332
- bump release
- added support to Mageia

* Tue Dec 20 2011 matteo <matteo> 2.3.6-1.mga2
+ Revision: 184659
- imported package screenfetch

